MethodVisitorTee (cglib (Version 2.2.2))
Date: 2012-11-18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.cglib.transform
Class MethodVisitorTee

    java.lang.Object
      net.sf.cglib.transform.MethodVisitorTee

All Implemented Interfaces:
  org.objectweb.asm.MethodVisitor

    public class MethodVisitorTee

extends java.lang.Object
implements org.objectweb.asm.MethodVisitor

Constructor Summary
`MethodVisitorTee(org.objectweb.asm.MethodVisitor mv1, org.objectweb.asm.MethodVisitor mv2)`

Method Summary
`org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`
`org.objectweb.asm.AnnotationVisitor` | `visitAnnotationDefault()`
`void` | `visitAttribute(org.objectweb.asm.Attribute attr)`
`void` | `visitCode()`
`void` | `visitEnd()`
`void` | `visitFieldInsn(int opcode, java.lang.String owner, java.lang.String name, java.lang.String desc)`
`void` | `visitFrame(int type, int nLocal, java.lang.Object[] local, int nStack, java.lang.Object[] stack)`
`void` | `visitIincInsn(int var, int increment)`
`void` | `visitInsn(int opcode)`
`void` | `visitIntInsn(int opcode, int operand)`
`void` | `visitJumpInsn(int opcode, org.objectweb.asm.Label label)`
`void` | `visitLabel(org.objectweb.asm.Label label)`
`void` | `visitLdcInsn(java.lang.Object cst)`
`void` | `visitLineNumber(int line, org.objectweb.asm.Label start)`
`void` | `visitLocalVariable(java.lang.String name, java.lang.String desc, java.lang.String signature, org.objectweb.asm.Label start, org.objectweb.asm.Label end, int index)`
`void` | `visitLookupSwitchInsn(org.objectweb.asm.Label dflt, int[] keys, org.objectweb.asm.Label[] labels)`
`void` | `visitMaxs(int maxStack, int maxLocals)`
`void` | `visitMethodInsn(int opcode, java.lang.String owner, java.lang.String name, java.lang.String desc)`
`void` | `visitMultiANewArrayInsn(java.lang.String desc, int dims)`
`org.objectweb.asm.AnnotationVisitor` | `visitParameterAnnotation(int parameter, java.lang.String desc, boolean visible)`
`void` | `visitTableSwitchInsn(int min, int max, org.objectweb.asm.Label dflt, org.objectweb.asm.Label[] labels)`
`void` | `visitTryCatchBlock(org.objectweb.asm.Label start, org.objectweb.asm.Label end, org.objectweb.asm.Label handler, java.lang.String type)`
`void` | `visitTypeInsn(int opcode, java.lang.String desc)`
`void` | `visitVarInsn(int opcode, int var)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodVisitorTee

    public MethodVisitorTee(org.objectweb.asm.MethodVisitor mv1,
                            org.objectweb.asm.MethodVisitor mv2)

Method Detail

### visitFrame

    public void visitFrame(int type,
                           int nLocal,
                           java.lang.Object[] local,
                           int nStack,
                           java.lang.Object[] stack)

  Specified by:
    `visitFrame` in interface `org.objectweb.asm.MethodVisitor`

### visitAnnotationDefault

    public org.objectweb.asm.AnnotationVisitor visitAnnotationDefault()

  Specified by:
    `visitAnnotationDefault` in interface `org.objectweb.asm.MethodVisitor`

### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(java.lang.String desc,
                                                               boolean visible)

  Specified by:
    `visitAnnotation` in interface `org.objectweb.asm.MethodVisitor`

### visitParameterAnnotation

    public org.objectweb.asm.AnnotationVisitor visitParameterAnnotation(int parameter,
                                                                        java.lang.String desc,
                                                                        boolean visible)

  Specified by:
    `visitParameterAnnotation` in interface `org.objectweb.asm.MethodVisitor`

### visitAttribute

    public void visitAttribute(org.objectweb.asm.Attribute attr)

  Specified by:
    `visitAttribute` in interface `org.objectweb.asm.MethodVisitor`

### visitCode

    public void visitCode()

  Specified by:
    `visitCode` in interface `org.objectweb.asm.MethodVisitor`

### visitInsn

    public void visitInsn(int opcode)

  Specified by:
    `visitInsn` in interface `org.objectweb.asm.MethodVisitor`

### visitIntInsn

    public void visitIntInsn(int opcode,
                             int operand)

  Specified by:
    `visitIntInsn` in interface `org.objectweb.asm.MethodVisitor`

### visitVarInsn

    public void visitVarInsn(int opcode,
                             int var)

  Specified by:
    `visitVarInsn` in interface `org.objectweb.asm.MethodVisitor`

### visitTypeInsn

    public void visitTypeInsn(int opcode,
                              java.lang.String desc)

  Specified by:
    `visitTypeInsn` in interface `org.objectweb.asm.MethodVisitor`

### visitFieldInsn

    public void visitFieldInsn(int opcode,
                               java.lang.String owner,
                               java.lang.String name,
                               java.lang.String desc)

  Specified by:
    `visitFieldInsn` in interface `org.objectweb.asm.MethodVisitor`

### visitMethodInsn

    public void visitMethodInsn(int opcode,
                                java.lang.String owner,
                                java.lang.String name,
                                java.lang.String desc)

  Specified by:
    `visitMethodInsn` in interface `org.objectweb.asm.MethodVisitor`

### visitJumpInsn

    public void visitJumpInsn(int opcode,
                              org.objectweb.asm.Label label)

  Specified by:
    `visitJumpInsn` in interface `org.objectweb.asm.MethodVisitor`

### visitLabel

    public void visitLabel(org.objectweb.asm.Label label)

  Specified by:
    `visitLabel` in interface `org.objectweb.asm.MethodVisitor`

### visitLdcInsn

    public void visitLdcInsn(java.lang.Object cst)

  Specified by:
    `visitLdcInsn` in interface `org.objectweb.asm.MethodVisitor`

### visitIincInsn

    public void visitIincInsn(int var,
                              int increment)

  Specified by:
    `visitIincInsn` in interface `org.objectweb.asm.MethodVisitor`

### visitTableSwitchInsn

    public void visitTableSwitchInsn(int min,
                                     int max,
                                     org.objectweb.asm.Label dflt,
                                     org.objectweb.asm.Label[] labels)

  Specified by:
    `visitTableSwitchInsn` in interface `org.objectweb.asm.MethodVisitor`

### visitLookupSwitchInsn

    public void visitLookupSwitchInsn(org.objectweb.asm.Label dflt,
                                      int[] keys,
                                      org.objectweb.asm.Label[] labels)

  Specified by:
    `visitLookupSwitchInsn` in interface `org.objectweb.asm.MethodVisitor`

### visitMultiANewArrayInsn

    public void visitMultiANewArrayInsn(java.lang.String desc,
                                        int dims)

  Specified by:
    `visitMultiANewArrayInsn` in interface `org.objectweb.asm.MethodVisitor`

### visitTryCatchBlock

    public void visitTryCatchBlock(org.objectweb.asm.Label start,
                                   org.objectweb.asm.Label end,
                                   org.objectweb.asm.Label handler,
                                   java.lang.String type)

  Specified by:
    `visitTryCatchBlock` in interface `org.objectweb.asm.MethodVisitor`

### visitLocalVariable

    public void visitLocalVariable(java.lang.String name,
                                   java.lang.String desc,
                                   java.lang.String signature,
                                   org.objectweb.asm.Label start,
                                   org.objectweb.asm.Label end,
                                   int index)

  Specified by:
    `visitLocalVariable` in interface `org.objectweb.asm.MethodVisitor`

### visitLineNumber

    public void visitLineNumber(int line,
                                org.objectweb.asm.Label start)

  Specified by:
    `visitLineNumber` in interface `org.objectweb.asm.MethodVisitor`

### visitMaxs

    public void visitMaxs(int maxStack,
                          int maxLocals)

  Specified by:
    `visitMaxs` in interface `org.objectweb.asm.MethodVisitor`

### visitEnd

    public void visitEnd()

  Specified by:
    `visitEnd` in interface `org.objectweb.asm.MethodVisitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 - Apache Software Foundation